<?php
include_once "connect.php";

$consulta_total = "select count(*) as registros_totais from erpc_clientes where 1;";					
$resultado = mysqli_query($conexao, $consulta_total) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$registros_totais = $registro['registros_totais'];
	}
}

$consulta_faltantes = "select count(*) as registros_faltantes from erpc_clientes
							inner join erpc_municipios
							on erpc_clientes.id_municipio = erpc_municipios.id
							where ((longitude is null 
								or latitude is null)
								or
								(longitude = 0 or latitude = 0))
								and st_end_falho is null;";					
$resultado = mysqli_query($conexao, $consulta_faltantes) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$total_faltantes = $registro['registros_faltantes'];
	}
}
	
$consulta_corretos = "select count(*) as total_end_certos from erpc_clientes where st_end_falho = 0 or (latitude is not null and longitude is not null);";					
$resultado = mysqli_query($conexao, $consulta_corretos) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$total_atualizados = $registro['total_end_certos'];
	}
}

$consulta_erros = "select count(*) as total_end_errados from erpc_clientes where st_end_falho = 1;";					
$resultado = mysqli_query($conexao, $consulta_erros) or die ($erro = mysqli_error($conexao));
if (mysqli_num_rows($resultado)>0) {
	while ($registro = mysqli_fetch_assoc($resultado)){
		$total_falhas = $registro['total_end_errados'];
	}
}
?>
    <div class="table-responsive">
        <table class="table table-bordered table-striped table-responsible">
        	   <tr>
        		<td><h5>Total de clientes cadastrados: </h5></td>
        		<td><h5><?php echo $registros_totais; ?></h5></td>
        	   </tr>
        	   <tr>
        		<td><h5>Número de clientes não atualizados: </h5></td>
        		<td id="faltantes"><h5><?php echo $total_faltantes; ?></h5></td>
        	   </tr>
        	   <tr>
        		<td><h5>Número de clientes atualizados: </h5></td>
        		<td><h5><?php echo $total_atualizados; ?></h5></td>
        	   </tr>
        	   <tr>
        		<td><h5>Número de endereços a corrigir: </h5></td>
        		<td><h5><?php echo $total_falhas; ?></h5></td>
        	   </tr>
        	</table>
        </div>